Name:		vidalia
Version:	0.2.8
Release:	1%{?dist}
Summary:	GUI controller for the Tor Onion Routing Network
Group:		Applications/Internet
License:	GPLv2+
URL:		https://www.torproject.org/vidalia/
Source0:	https://www.torproject.org/%{name}/dist/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires:	desktop-file-utils
BuildRequires:	openssl-devel
BuildRequires:	qt4-devel
BuildRequires:	cmake
Requires:	tor
Requires:	hicolor-icon-theme
Obsoletes:	%{name}-doc < 0.2.8-1

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt 
framework. Vidalia allows you to start and stop Tor, view the status of 
Tor at a glance, and monitor Tor's bandwidth usage. Vidalia also makes 
it easy to contribute to the Tor network by helping you setup a Tor server,
if you wish.

%prep
%setup -q


%build
%if 0%{?_qt4_bindir:1}
PATH=%{_qt4_bindir}:$PATH; export PATH
%else
PATH=%{_libdir}/qt4/bin:$PATH; export PATH
%endif
# fix DSOLinking
sed -i '/torcontrol/a \ \ z' src/vidalia/CMakeLists.txt
%cmake .

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install \
	INSTALL="install -p" \
	DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_datadir}/applications/%{name}.desktop

install -Dpm0644 doc/%{name}.1 \
	%{buildroot}%{_mandir}/man1/%{name}.1

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}

chmod -x contrib/*

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG CREDITS LICENSE* README
%doc contrib
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Wed Apr 21 2010 Chen Lei <supercyper@163.com> - 0.2.8-1
- New upstream release
- Remove -doc subpackage

* Sun Jan 31 2010 Chen Lei <supercyper@163.com> - 0.2.7-2
- Add contrib to -doc subpackage

* Sun Jan 31 2010 Chen Lei <supercyper@163.com> - 0.2.7-1
- New upstream release

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.15-1
- New upstream release

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.1.14-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.14-1
- New upstream release

* Mon Jun 01 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.13-2
- Merge builds for fedora and epel

* Mon Jun 01 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.13-1
- Update to 0.1.13
- Adjust to fedora and epel

* Sun Apr 06 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.12-1
- New upstream release
- Correct typo in URL
- Add R: hicolor for new handling of icons
- Add update-icon-cache sniplet
- Use summary of upstream for Desktopfile and in spec file
- Create doxygen-documentations

* Sun Feb 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.10-2
- Correct Qt in Summary
- Correct Qt in desktop-file-source
- Add a german Translation in the desktop-file-source
- Using CMAKE-macro instead of cmake
- Add more files to more documentation

* Tue Feb 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.10-1
- Initial Package build
